ctools - Action #1257

Implement upperlimit calculation
07/09/2014 02:43 PM - Mayer Michael

Status: Closed Start date: 07/09/2014
Priority: Normal Due date:

Assigned To: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

To calculate spectral points or analyse weak sources, it is necessary to compute upper limits to properly handle the lack of statistics.
Since ctlike provides full access to the likelihood function, we can calculate upper limits for any parameter for any source in the xml
model.

In general, the upper limit value can be derived by inspecting the likelihood function and find the parameter value at which the
likelihood changes by a certain value. For 95% confidence level, this value is, e.g., 1.92 (see Minuit manual)

The question remains, wether this should be implemented as a ctlike option, which could also add the UL value to the final xml
model, or if we want to have a separate tool for that.

| attach a first approach using scipy to compute the upper limit value in a cs-script.

Related issues:
Duplicated by ctools - Feature # 1363: Create ctulimit Closed 11/12/2014

History

#1 - 07/09/2014 02:44 PM - Mayer Michael

The script test_csupperlimit.py simulates a Crab observation and computes the upper limit of the spectral prefactor of that source.

#2 - 04/17/2015 12:28 AM - Mayer Michael
done by related task #1363

#3 - 03/03/2016 11:21 PM - Knddliseder Jiirgen
- Status changed from New to Closed

- Remaining (hours) set to 0.0

Files
csupperlimit.py 9.17 KB 07/09/2014 Mayer Michael
test_csupperlimit.py 554 Bytes 07/09/2014 Mayer Michael
